/*----------------------------------------------------------
*                                      
*    __  __                      
*   | | / /__  __ _____    ___    __   _____  ___
*   |  / / \ \/ //     \  /   \ /`__'\|  __| /   \
*   |  \ \  \  // /| |\ \|  O  |  ___/| |  `|  O  | 
*   |_| \_\  |_|_/ |_| \_\\_/|_|\___\ |_|    \_/|_|
*                  
*
*   Kymaera (c) 2004 
*	Universal Arcade Cabinet Front End
*
*	Steve Hernandez: steveh@crosslink.net 
*   Windows, Linux and Dos version
*   See the Readme.txt and License.txt for more information          
*
*
* -----------------------------------------------------------
*/

#include "log.h"
//#include <direct.h>
#include <stdio.h>
#ifndef STDARG_H
#include <stdarg.h>
#endif

#ifndef TIME_H
#include <time.h>
#endif
#include <string.h>
static FILE *logfile=0;

static char szLogfile[256]="kymaera.log"; // static so if dir change the log is still ok...
char *GetAppPath();
char LogPath[512];
void SetLogPath(char *path){
	strcpy(&szLogfile[0],path);
	strcpy(&szLogfile[0] + strlen(&szLogfile[0]),"kymaera.log");
	strcpy(LogPath,path);
}
#define LOGIT 1

void Log(char const *fmt,...)
	{
#if(LOGIT==1)
	static int readbefore=0;
	//chdir(LogPath);
	if (! readbefore)
		{
                //sprintf(szLogfile,"game.log");
                logfile=fopen(szLogfile,"wt");
		if (logfile){
			fprintf(logfile,"******************\n%9d : Log System initted\n",clock());
			fclose(logfile);
			}
		readbefore=1;
		}
	logfile=fopen(szLogfile,"at");
	if(logfile){
		fprintf(logfile,"%9d : ",clock());
		va_list arglist;
		va_start(arglist,fmt);
		vfprintf(logfile,fmt,arglist);
		fprintf(logfile,"\n");
		va_end(arglist);
		fclose(logfile);
	}
#endif
}
