/*----------------------------------------------------------
*                                      
*    __  __                      
*   | | / /__  __ _____    ___    __   _____  ___
*   |  / / \ \/ //     \  /   \ /`__'\|  __| /   \
*   |  \ \  \  // /| |\ \|  O  |  ___/| |  `|  O  | 
*   |_| \_\  |_|_/ |_| \_\\_/|_|\___\ |_|    \_/|_|
*                  
*
*   Kymaera (c) 2004 
*	Universal Arcade Cabinet Front End
*
*	Steve Hernandez: steveh@crosslink.net 
*   Windows, Linux and Dos version
*   See the Readme.txt and License.txt for more information          
*
*
* -----------------------------------------------------------
*/
#ifndef TEXTUREMANAGER
#define TEXTUREMANAGER

#include "listitem.h"
#include "mmdd.h"
//#include "mmddutil.h"


class TextureItem{
	public:
	unsigned long m_nameCRC;
	int m_refcount;
	BITMAP * pSurf;
	TextureItem(){
		pSurf =0;
		m_nameCRC = 0;
		m_refcount = 0;
	}
	~TextureItem(){	}
};
class TextureMgr :public Singleton <TextureMgr>
{
public:
	List m_TextItems;
	BITMAP * Find(char *name);
	void Update();// prune off old
	void RemoveRef(BITMAP * pdds);
	TextureMgr(void);
	~TextureMgr(void);
};
#define TxtMgr TextureMgr::GetInstance()
//extern TextureMgr TxtMgr;
#endif 
